# Setup using Javascript (Optional)

{% hint style="success" %}
Advanced topic

Please refer to [Setup using Universal Studio (KMC)](/developers/kaltura-plugin-v2/setup-using-universal-studio-kmc.md) for the recommended setup method.
{% endhint %}

If setting up Annoto plugin via Kaltura universal studio is not possible, or simply if more customisation is required. It is possible to compile a custom Annoto plugin for the Kaltura player and add it to the player via  Javascript.

{% hint style="warning" %}
Please notice, according to Kaltura documentation:&#x20;

"Flashvar based resource includes will only work on relative paths. You should save absolute external resource URLs to your configuration file for them to work in your production players."&#x20;

Annoto plugin is an open source and can be compiled into a single javascript file: <https://github.com/Annoto/kaltura-plugin>
{% endhint %}

```javascript
kWidget.featureConfig({
	'flashvars': {
		"annoto": {
    	//This line turn on the plugin
      'plugin': true,
      //This line sets the plugin file path
      "iframeHTML5Js" : "./plugin.js",
    },
	},
	// The rest of the Kaltura configuration
	// The below is just an example
	'targetId' : 'kaltura_player',
	'wid' : '_243342',
	'uiconf_id' : '5994862',
	'entry_id' : '0_uka1msg4',
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annoto.net/developers/kaltura-plugin-v2/setup-using-javascript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
